<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<title>07 OSI Layer 7</title>

		<link rel="icon" type="image/png" href="images/org_symbol.png" />
		<link rel="stylesheet" href="css/reset.css">
		<link rel="stylesheet" href="css/reveal.css">
		<link rel="stylesheet" href="css/theme/black.css" id="theme">

		<!-- Theme used for syntax highlighting of code -->
		<link rel="stylesheet" href="lib/css/monokai.css">

		<!-- Printing and PDF exports -->
		<script>
			var link = document.createElement( 'link' );
			link.rel = 'stylesheet';
			link.type = 'text/css';
			link.href = window.location.search.match( /print-pdf/gi ) ? 'css/print/pdf.css' : 'css/print/paper.css';
			document.getElementsByTagName( 'head' )[0].appendChild( link );
		</script>
	</head>
	<body>
		<div style="background:green; left:0; right:0; position:absolute; height:30px;">
			<div style="text-align: center;">(U)Unclassified</div>
		</div>

		<div class="reveal">
			<div class="slides">
				<section>
					<section data-background-image="images/org_symbol.png" data-background-size="8%" data-background-position="top 5% left 1%">
						<h1>Application Layer</h1>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
					</section>
					<section>
					    <h2>Objectives</h2>
					    <a href="../objectives.html" target="_blank">OSI Layer 7 Objectives</a>
					</section>

					<section>
							<h2>Layer 7</h2>
							<p>Provides access to the network for applications</p>
							<ul>
								<li>the application layer defines the processes that enable applications to use network services</li>	
								<li>Protocols defined at the application layer include: SSH, DNS, DHCP, SMTP, HTTP, etc....</li>
								
						</ul>
						<aside class="notes">
                            Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
                        </aside>
                    </section>
                    <section>
                        <h2>DHCP</h2>
						<p>Dynamically addressing a device</p>
						<ul>
							<li>DHCP is based on a client-server model and based on discovery, offer, request, and ACK</li>	
							<li>DHCP port number for server is 67 and for the client is 68</li>
						
					</ul>
					<aside class="notes">
						Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
					</aside>
					</section>
					<section>
					<h3>DHCP</h3>
					<img src="../../assets/dhcp1a.png" alt="dhcp1">
					<aside class="notes">
						<a href='https://www.computernetworkingnotes.com/networking-tutorials/how-dhcp-server-works-explained-with-examples.html'>DHCP explained</a>
						Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
					
					</aside>
					</section>
					<section>
						<h3>DHCP</h3>
						<img src="../../assets/dhcp1.jpg" alt="dhcp11">
						<aside class="notes">
							<a href='https://www.computernetworkingnotes.com/networking-tutorials/how-dhcp-server-works-explained-with-examples.html'>DHCP explained</a>
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						
						</aside>
						</section>
                    <section>
						<h2>SMTP</h2>
						<p>SMTP stands for Simple Mail Transfer Protocol</p>
						<ul>
							<li>It is a program used for sending messages to other computer users based on e-mail addresses</li>	
							
							<li>The main purpose of SMTP is used to set up communication rules between servers</li>
					</ul>
					<aside class="notes">
						Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
					</aside>
					</section>
					<section>
						<h3>SMTP</h3>
						<img src="../../assets/smtp1.png" alt="smtp1">
						<aside class="notes">
							<a href='https://www.afternerd.com/blog/smtp/'>SMTP explained</a>
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						
						</aside>
						</section>
                    <section>
						<h2>DNS</h2>
						<p>DNS is a host name to IP address translation service</p>
						<ul>
							<li>The Domain Name System (DNS) is the phonebook of the Internet</li>	
							<li>Each node in a tree has a domain name, and a full domain name is a sequence of symbols specified by dots</li>

							
						
					</ul>
					</section>
					<section>
						<h3>DNS</h3>
					<ul>
						<li>A domain name is a human-readable name—like amazon.com—that we type in a web browser URL field.</li>
						<li>The Internet Corporation for Assigned Names and Numbers (ICANN) manages  these domain names</li>
					</ul>
						<aside class="notes">
							
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						
						</aside>
						</section>
						<section>
							<h3>Top Level Domain (TLD)</h3>
							<ul>
								<li>TLD refers to the last part of a domain name. For example, the .com in amazon.com is the Top Level Domain.</li>
								<li>The most common TLDs include .com, .net, org, and .info. Country code TLDs represent specific geographic locations.</li> 
									<li>For example: .in represents India.</li>
							<aside class="notes">
								<a href='https://cloudacademy.com/blog/how-dns-works/'>TLD explained</a>
								Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
							
							</aside>
							</section>
							<section>
								<h3>Top Level Domain: Examples</h3>
								<ul>
									<li>com – Commercial businesses</li>
									<li>gov – U.S. government agencies</li>
									<li>edu – Educational institutions such as universities</li>
									<li>org – Organizations (mostly non-profit)</li>
									<li>mil – Military</li>
									<li>net – Network organizations</li>
									<li>eu – European Union</li>

								</ul>
								<aside class="notes">
									<a href='https://cloudacademy.com/blog/how-dns-works/'>TLD explained</a>
									Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
								
								</aside>
								</section>
								<section>
									<h3>DNS RECORDS</h3>
									<ul>
										<li>A Record</li>
										<li>CNAME</li>
										<li>Alias Record</li>
										<li>MX Record</li>
									</ul>
									<aside class="notes">
										<a href='https://cloudacademy.com/blog/how-dns-works/'>TLD explained</a>
										Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
									
									</aside>
								</section>
								<section>
									<h3>DNS RECORDS</h3>
									<ul>
										<li>A Record</li>
											<p>Address record. A Records map server IP addresses to domain names.</p>
										<li>CNAME</li>
											<p>Canonical Name record. A CNAME record establishes one domain as an alias to another.</p>
										
									</ul>
									<aside class="notes">
										<a href='https://cloudacademy.com/blog/how-dns-works/'>TLD explained</a>
										Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
									
									</aside>
								</section>
								<section>
									<h3>DNS RECORDS</h3>
									<ul>
										<li>Alias Record</li>
											<p>Like a CNAME record, Alias records can be used to map one address to another.</p>
										<li>MX Record</li>
											<p>Mail Exchange Record. These records will redirect a domain’s email to the servers hosting the domain’s user accounts.</p>
									</ul>
									<aside class="notes">
										<a href='https://cloudacademy.com/blog/how-dns-works/'>TLD explained</a>
										Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
									
									</aside>
								</section>
					<section>
						<h2>HTTP</h2>
						<p>HTTP stands for HyperText Transfer Protocol.</p>
						<ul>
							<li>It is a protocol used to access the data on the World Wide Web (www)</li>	
							<li>The HTTP protocol can be used to transfer the data in the form of plain text, hypertext, audio, video, and so on</li>
						
					</ul>
					<aside class="notes">
						Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
					</aside>
					</section>
					<section>
						<h3>HTTPS</h3>
						<p>Hypertext Transfer Protocol Secure is a secure version of HTTP.</p>
						<aside class="notes">
							
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						
						</aside>
					</section>
					<section>
						<h3>HTTP Request Methods</h3>
						<ul>
							<li>GET</li>
							<li>POST</li>
							<li>PUT</li>
							<li>HEAD</li>
						</ul>
						<aside class="notes">
							
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						
						</aside>
					</section>
					<section>
						<h3> GET Method</h3>
						<ul>
							<li>GET is used to request data from a specified resource</li>
							<li>GET is one of the most common HTTP methods</li>
							
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						
						</aside>
					</section>
					<section>
						<h3> POST Method</h3>
						<ul>
							<li>POST is used to send data to a server to create/update a resource</li>
							<li>POST is one of the most common HTTP methods</li>
						
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						
						</aside>
					</section>
					<section>
						<h3>PUT Method</h3>
						<ul>
							<li>PUT is used to send data to a server to create/update a resource</li>
							
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						
						</aside>
					</section>
					<section>
						<h3> HEAD Method</h3>
						<ul>
							<li>HEAD is almost identical to GET, but without the response body</li>
							
						</ul>
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						
						</aside>
					</section>
					<section>
						<h3>HTTP STATUS CODES </h3>
						<p>The HTTP status code determines whether the request made by the client has been successfully completed or not.</p>
						
						<aside class="notes">
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						
						</aside>
					</section>
					<section>
						<h3>HTTP STATUS CODES</h3>
						<p>Five classes</p>
						<ul>
										<li>1xx- informational</li>
										<li>2xx- Success</li>
										<li>3xx- Redirection</li>
										<li>4xx- Client error</li>
										<li>5xx- Server error</li>

						</ul>
					</section>
					<section>
						<h3>DIG</h3>
						<p>The dig command, allows you to query information about various DNS records, including host addresses, mail exchanges, and name servers</p>
						<aside class="notes">
							<a href='https://www.computernetworkingnotes.com/networking-tutorials/how-dhcp-server-works-explained-with-examples.html'>DHCP explained</a>
							Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
						
						</aside>
						</section>
						<section>
							<h3>DIG</h3>
							<p>Dig (Domain Information Groper) is a powerful command-line tool for querying DNS name servers</p>
							
							<aside class="notes">
								<a href='https://linuxize.com/post/how-to-use-dig-command-to-query-dns-in-linux/'>DIG explained</a>
								Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
							
							</aside>
							</section>
							<section>
								<h3>DIG</h3>
								<p>DIG EXAMPLE COMMANDS</p>
									<ul>
										<li>dig linux.org</li>
										<li>dig linux.org +short</li>
										<li>dig linux.org +noall +answer</li>
										<li>dig linux.org @8.8.8.8</li>
									</ul>
								
								<aside class="notes">
									<a href='https://linuxize.com/post/how-to-use-dig-command-to-query-dns-in-linux/'>DIG explained</a>
									Put your instructor notes in these 'aside' sections. Press 'F' for full screen! Press 'S' for instructor view!!
								
								</aside>
								</section>
				
                

			</div>
		</div>
		<footer style="background:green; left:0; right:0; bottom: 0; position:absolute; height:30px;">
			<div style="text-align: center;">(U)Unclassified</div>
		</footer>		
			
		<script src="js/reveal.js"></script>

		<script>
			// More info about config & dependencies:
			// - https://github.com/hakimel/reveal.js#configuration
			// - https://github.com/hakimel/reveal.js#dependencies
			Reveal.initialize({
				hash: true,
				menu: {
					// Specifies which side of the presentation the menu will 
					// be shown. Use 'left' or 'right'.
					side: 'left',

					// Specifies the width of the menu.
					// Can be one of the following:
					// 'normal', 'wide', 'third', 'half', 'full', or
					// any valid css length value
					width: 'normal',

					// Add slide numbers to the titles in the slide list.
					// Use 'true' or format string (same as reveal.js slide numbers)
					numbers: true,

					// Specifies which slide elements will be used for generating
					// the slide titles in the menu. The default selects the first
					// heading element found in the slide, but you can specify any
					// valid css selector and the text from the first matching
					// element will be used.
					// Note: that a section data-menu-title attribute or an element
					// with a menu-title class will take precedence over this option
					titleSelector: 'h1, h2, h3, h4, h5, h6',

					// If slides do not have a matching title, attempt to use the
					// start of the text content as the title instead
					useTextContentForMissingTitles: false,

					// Hide slides from the menu that do not have a title.
					// Set to 'true' to only list slides with titles.
					hideMissingTitles: false,

					// Adds markers to the slide titles to indicate the 
					// progress through the presentation. Set to 'false'
					// to hide the markers.
					markers: true,

					// Specify custom panels to be included in the menu, by
					// providing an array of objects with 'title', 'icon'
					// properties, and either a 'src' or 'content' property.
					custom: false,

					// Specifies the themes that will be available in the themes
					// menu panel. Set to 'true' to show the themes menu panel
					// with the default themes list. Alternatively, provide an
					// array to specify the themes to make available in the
					// themes menu panel, for example...
					// [
					//     { name: 'Black', theme: 'css/theme/black.css' },
					//     { name: 'White', theme: 'css/theme/white.css' },
					//     { name: 'League', theme: 'css/theme/league.css' }
					// ]
					themes: true,

					// Specifies the path to the default theme files. If your
					// presentation uses a different path to the standard reveal
					// layout then you need to provide this option, but only
					// when 'themes' is set to 'true'. If you provide your own 
					// list of themes or 'themes' is set to 'false' the 
					// 'themesPath' option is ignored.
					themesPath: 'css/theme/',

					// Specifies if the transitions menu panel will be shown.
					// Set to 'true' to show the transitions menu panel with
					// the default transitions list. Alternatively, provide an
					// array to specify the transitions to make available in
					// the transitions panel, for example...
					// ['None', 'Fade', 'Slide']
					transitions: true,

					// Adds a menu button to the slides to open the menu panel.
					// Set to 'false' to hide the button.
					openButton: true,

					// If 'true' allows the slide number in the presentation to
					// open the menu panel. The reveal.js slideNumber option must 
					// be displayed for this to take effect
					openSlideNumber: true,

					// If true allows the user to open and navigate the menu using
					// the keyboard. Standard keyboard interaction with reveal
					// will be disabled while the menu is open.
					keyboard: true,

					// Normally the menu will close on user actions such as
					// selecting a menu item, or clicking the presentation area.
					// If 'true', the sticky option will leave the menu open
					// until it is explicitly closed, that is, using the close
					// button or pressing the ESC or m key (when the keyboard 
					// interaction option is enabled).
					sticky: true,

					// If 'true' standard menu items will be automatically opened
					// when navigating using the keyboard. Note: this only takes 
					// effect when both the 'keyboard' and 'sticky' options are enabled.
					autoOpen: true,

					// If 'true' the menu will not be created until it is explicitly
					// requested by calling RevealMenu.init(). Note this will delay
					// the creation of all menu panels, including custom panels, and
					// the menu button.
					delayInit: false,

					// If 'true' the menu will be shown when the menu is initialised.
					openOnInit: false,

					// By default the menu will load it's own font-awesome library
					// icons. If your presentation needs to load a different
					// font-awesome library the 'loadIcons' option can be set to false
					// and the menu will not attempt to load the font-awesome library.
					loadIcons: true
				},
				dependencies: [
					{ src: 'plugin/markdown/marked.js' },
					{ src: 'plugin/markdown/markdown.js' },
					{ src: 'plugin/highlight/highlight.js' },
					{ src: 'plugin/notes/notes.js', async: true },
					{ src: 'plugin/reveal.js-menu/menu.js' }
				]
			});
		</script>
	</body>
</html>
